<VirtualHost *:${APACHE_PORT}>

        ServerName noblogs.org
        ServerAlias *.noblogs.org

        DocumentRoot /opt/noblogs/www

        SetEnvIf X-Forwarded-Proto https HTTPS=on
	SetEnvIf Authorization "(.*)" HTTP_AUTHORIZATION=$1

        <Directory /opt/noblogs/www>
                Options FollowSymLinks Indexes
                AllowOverride All
                Require all granted

                RewriteEngine On

                XSendFile On
                XSendFilePath /opt/noblogs/www/wp-content
        </Directory>

        <Directory /opt/noblogs/www/wp-content>
                Options -Indexes
        </Directory>

	# Support ActivityPub content negotiation on user profiles.
	<Location /post/author/>
		Header append Vary "Accept"
	</Location>

</VirtualHost>

